> For the complete documentation index, see [llms.txt](https://docs.konnekt.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.konnekt.io/de/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md).

# Leere Standardbibliotheken - Fehler 404

## Problem

Alle Dokumentbibliotheken in KONNEKT und zugeordnete Laufwerke sind leer.

## Hintergrund

In bestimmten Rechenzentren, die SharePoint Online bei Microsoft hosten, gibt es Störungen. KONNEKT verwendet Microsofts GraphAPI, um auf alle Informationen zu Dokumentbibliotheken und deren Inhalte zuzugreifen.

Insbesondere die Anforderung, die Standard-Dokumentbibliothek aus einer Site Collection zu erhalten ([Laufwerk abrufen](https://learn.microsoft.com/en-us/graph/api/drive-get)). Die Protokolle von KONNEKT sollten Einträge enthalten, wenn die Vorgänge mit der Standardbibliothek fehlschlagen:

```
[2025-05-07 11:31:28.957] [30304] [Fehler] [RESTkitClient] HTTP-Anfrage (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    Fehler: Element nicht gefunden: Die Ressource konnte nicht gefunden werden.(404)
   {"error":{"code":"itemNotFound","message":"Die Ressource konnte nicht gefunden werden.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}
    Antwort-Header:
Cache-Control: no-store, no-cache
client-request-id: 17a44641-4204-4811-b176-58a379125b5d
Content-Type: application/json
Datum: Wed, 07 May 2025 09:31:27 GMT
request-id: 17a44641-4204-4811-b176-58a379125b5d
Strict-Transport-Security: max-age=31536000
Transfer-Encoding: chunked
x-ms-ags-diagnostic: {"ServerInfo":{"DataCenter":"France Central","Slice":"E","Ring":"5","ScaleUnit":"004","RoleInstance":"PA2PEPF00011C65"}}
    Antwort:
{"error":{"code":"itemNotFound","message":"Die Ressource konnte nicht gefunden werden.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}
```

oder

```
[2025-05-09 08:43:36.353] [23796] [Fehler] [RESTkitClient] HTTP-Anfrage (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    Fehler: Element nicht gefunden: Die Ressource konnte nicht gefunden werden.(404)
   {"error":{"code":"itemNotFound","message":"Die Ressource konnte nicht gefunden werden.","innerError":{"date":"2025-05-09T06:43:36","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}
```

Zur Untersuchung verwenden Sie GraphExplorer, um die GET-Anfrage für diese Dokumentbibliothek zu prüfen:

<https://developer.microsoft.com/en-us/graph/graph-explorer>

## Umgehungslösungen

1\) Aktivieren Sie die Einstellung "[Alle SharePoint-Dokumentbibliotheken hinzufügen](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

Wenn aktiviert, verwendet KONNEKT die [Laufwerke auflisten](https://learn.microsoft.com/en-us/graph/api/drive-list?view=graph-rest-1.0\&tabs=http) Anforderung, um alle Dokumentbibliotheken aus Site Collections abzurufen.

{% hint style="info" %}
Bitte beachten Sie, dass das Aktivieren dieser Einstellung dazu führt, dass bestehende Dateilinks ungültig werden.
{% endhint %}

2\) Verwenden Sie "[Managed Mappings](/de/configuration/mappings/managed-mappings.md)" um die wichtigen Dokumentbibliotheken zuzuordnen und die Einstellung "[Automatische Ermittlung von SharePoint-Websites](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

## GitHub-Problem

<https://github.com/SharePoint/sp-dev-docs/issues/10241>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.konnekt.io/de/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
